let express = require('express')
let router = express.Router()
const auth = require('../lib/authUserInfo')
const Errors = require('../lib/errors')
let { Settings, Sequelize } = require('../models')

router.get('*', async(req, res, next) => {
    try {
        throw Errors.maintenance
    } catch (err) { next(err) }
})

router.post('*', async(req, res, next) => {
    try {
        throw Errors.maintenance
    } catch (err) { next(err) }
})

router.put('*', async(req, res, next) => {
    try {
        throw Errors.maintenance
    } catch (err) { next(err) }
})

router.options('*', async(req, res, next) => {
    try {
        res.status(200)
        res.json({success: true})
    } catch (err) { next(err) }
})

module.exports = router
